<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="handler"
            type="com.doverfuelingsolutions.issp.view.fragment.FragmentPayType" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout style="@style/match">

        <com.doverfuelingsolutions.issp.view.widget.FragmentToolbar
            android:id="@+id/fragmentToolbar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:countdownTime="60"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:title="@string/select_pay_type" />

        <androidx.appcompat.widget.LinearLayoutCompat
            style="@style/wrap"
            android:gravity="center_horizontal"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/payTypeScanCode"
                style="@style/wrap"
                android:gravity="center_horizontal"
                android:onClick="@{handler::onClick}"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/payTypeScan"
                    android:layout_width="360dp"
                    android:layout_height="360dp"
                    android:src="@mipmap/ic_qr_pay" />

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/wrap"
                    android:layout_marginTop="40dp"
                    android:text="@string/pay_by_qr"
                    android:textColor="@color/color555"
                    android:textSize="48sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/payTypeAliFace"
                style="@style/wrap"
                android:layout_marginStart="120dp"
                android:gravity="center_horizontal"
                android:onClick="@{handler::onClick}"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/payTypeFace"
                    android:layout_width="360dp"
                    android:layout_height="360dp"
                    android:src="@mipmap/ic_face_pay" />

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/wrap"
                    android:layout_marginTop="40dp"
                    android:text="@string/pay_by_ali_face"
                    android:textColor="@color/color555"
                    android:textSize="48sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>